package response

import (
	"eta/eta_mini_api/models"

	"github.com/rdlucklib/rdluck_tools/paging"
)

type ReportListResp struct {
	List   []*models.ReportList
	Paging *paging.PagingItem
}

type ReportDetailResp struct {
	Report   *models.ReportDetail   `description:"报告"`
	Classify *models.ClassifyDetail `description:"对应专栏"`
}

type ReportResp[T any] struct {
	Ret  int
	Data T
	Msg  string
}
